<template>
  <div>
    <PanelConsulta  @cerrar="cerrar" ref="panel"  tipoConsulta="Anular"/>
  </div>
</template>
 
  
<script setup lang="ts">
//librerias
import { computed, onMounted } from "vue";
import { BreadCrumbRoute } from "@hcd-bsas/vue3-components";
import { useBreadcrumb } from "@/shared.js";
import type { RouteLocationRaw } from 'vue-router';
import { useRoute, useRouter } from "vue-router";
import { isEmpty } from "@/shared.js";


//Components
import PanelConsulta from "@/components/Consulta/liquidacion/PanelConsulta.vue";


const route = useRoute();
const router = useRouter();
const { breadcrumb } = useBreadcrumb();

function cerrar() {
  const route: RouteLocationRaw = { name: "becasActualizacion" };
  router.push(route);
}
onMounted(() => {

breadcrumb?.initRoutes([
  new BreadCrumbRoute("inicio"),
  new BreadCrumbRoute("anularLiquidacion"),
]);

});




</script>
  
  <!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped></style>